Page MenuHomePhabricator

BadMethodCall in PersonalUrls
Closed, ResolvedPublic

Description

@Jdforrester-WMF reported this on IRC. From exception.log on fluorine.

It happened on a Flow topic, but doesn't seem it's actually caused by Flow.

2016-03-08 23:48:28 mw1150 mediawikiwiki 1.27.0-wmf.16 exception ERROR: [ed990e45] /wiki/Topic:Sztl7fb1akhaoido   BadMethodCallException from line 740 of /srv/mediawiki/php-1.27.0-wmf.16/extensions/Echo/Hooks.php: Call to a member function getEventType() on a non-object (array) {"exception_id":"ed990e45"} 
[Exception BadMethodCallException] (/srv/mediawiki/php-1.27.0-wmf.16/extensions/Echo/Hooks.php:740) Call to a member function getEventType() on a non-object (array)
  #0 /srv/mediawiki/php-1.27.0-wmf.16/includes/Hooks.php(195): EchoHooks::onPersonalUrls(array, Title, SkinVector)
  #1 /srv/mediawiki/php-1.27.0-wmf.16/includes/skins/SkinTemplate.php(693): Hooks::run(string, array)
  #2 /srv/mediawiki/php-1.27.0-wmf.16/includes/skins/SkinTemplate.php(453): SkinTemplate->buildPersonalUrls()
  #3 /srv/mediawiki/php-1.27.0-wmf.16/includes/skins/SkinTemplate.php(238): SkinTemplate->prepareQuickTemplate()
  #4 /srv/mediawiki/php-1.27.0-wmf.16/includes/OutputPage.php(2363): SkinTemplate->outputPage()
  #5 /srv/mediawiki/php-1.27.0-wmf.16/includes/MediaWiki.php(746): OutputPage->output()
  #6 /srv/mediawiki/php-1.27.0-wmf.16/includes/MediaWiki.php(519): MediaWiki->main()
  #7 /srv/mediawiki/php-1.27.0-wmf.16/index.php(43): MediaWiki->run()
  #8 /srv/mediawiki/w/index.php(3): include(string)
  #9 {main}

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 8 2016, 11:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 276053 had a related patch set uploaded (by Catrope):
Revert "Defer onPersonalUrls() DB writes to post-send"

https://gerrit.wikimedia.org/r/276053

Change 276053 merged by jenkins-bot:
Revert "Defer onPersonalUrls() DB writes to post-send"

https://gerrit.wikimedia.org/r/276053

Change 276062 had a related patch set uploaded (by Catrope):
Revert "Defer onPersonalUrls() DB writes to post-send"

https://gerrit.wikimedia.org/r/276062

Change 276062 merged by jenkins-bot:
Revert "Defer onPersonalUrls() DB writes to post-send"

https://gerrit.wikimedia.org/r/276062

Legoktm closed this task as Resolved.Mar 9 2016, 7:09 PM